Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorShawn O. Pearce <spearce@spearce.org>2007-05-02 20:59:55 +0400
committerShawn O. Pearce <spearce@spearce.org>2007-05-02 21:24:23 +0400
commitb3431bc603df74cfe2da56e9a5c3f60327dd56b9 (patch)
treef71a10eb3f71d8c7c83505a11db4d528b23b9ec8 /t/t5302-pack-index.sh
parentcbc6bdab08af239b5a6477e7e6db16a766ec4986 (diff)
Don't use seq in tests, not everyone has it
For example Mac OS X lacks the seq command. So we cannot use it there. A good old while loop works just as good. Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
Diffstat (limited to 't/t5302-pack-index.sh')
-rwxr-xr-xt/t5302-pack-index.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/t/t5302-pack-index.sh b/t/t5302-pack-index.sh
index 6902fc6d48..4d06eca6a5 100755
--- a/t/t5302-pack-index.sh
+++ b/t/t5302-pack-index.sh
@@ -10,11 +10,14 @@ test_expect_success \
'setup' \
'rm -rf .git
git-init &&
- for i in `seq -w 100`
+ i=1 &&
+ while test $i -le 100
do
+ i=`printf '%03i' $i`
echo $i >file_$i &&
test-genrandom "$i" 8192 >>file_$i &&
- git-update-index --add file_$i || return 1
+ git-update-index --add file_$i &&
+ i=`expr $i + 1` || return 1
done &&
{ echo 101 && test-genrandom 100 8192; } >file_101 &&
git-update-index --add file_101 &&